diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/building-allocator.cc ns-3.36/src/buildings/helper/building-allocator.cc
--- ns-3.35/src/buildings/helper/building-allocator.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/building-allocator.cc	2022-04-30 18:23:57.782733200 -0700
@@ -64,11 +64,11 @@
                    DoubleValue (0.0),
                    MakeDoubleAccessor (&GridBuildingAllocator::m_yMin),
                    MakeDoubleChecker<double> ())
-    .AddAttribute ("LengthX", " the length of the wall of each building along the X axis.",
+    .AddAttribute ("LengthX", "The length of the wall of each building along the X axis.",
                    DoubleValue (1.0),
                    MakeDoubleAccessor (&GridBuildingAllocator::m_lengthX),
                    MakeDoubleChecker<double> ())
-    .AddAttribute ("LengthY", " the length of the wall of each building along the X axis.",
+    .AddAttribute ("LengthY", "The length of the wall of each building along the X axis.",
                    DoubleValue (1.0),
                    MakeDoubleAccessor (&GridBuildingAllocator::m_lengthY),
                    MakeDoubleChecker<double> ())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/building-allocator.h ns-3.36/src/buildings/helper/building-allocator.h
--- ns-3.35/src/buildings/helper/building-allocator.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/building-allocator.h	2022-04-30 18:23:57.782733200 -0700
@@ -47,7 +47,10 @@
   GridBuildingAllocator ();
   virtual ~GridBuildingAllocator ();
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   /** 
@@ -68,22 +71,25 @@
   BuildingContainer Create (uint32_t n) const;
 
 private:
-
+  /**
+   * Pushes the attributes into the relevant position allocators
+   */
   void PushAttributes () const;
-  mutable uint32_t m_current;
-  enum GridPositionAllocator::LayoutType m_layoutType;
-  double m_xMin;
-  double m_yMin;
-  uint32_t m_n;
-  double m_lengthX;
-  double m_lengthY;
-  double m_deltaX;
-  double m_deltaY;
-  double m_height;
-
-  mutable ObjectFactory m_buildingFactory;
-  Ptr<GridPositionAllocator> m_lowerLeftPositionAllocator;
-  Ptr<GridPositionAllocator> m_upperRightPositionAllocator;
+
+  mutable uint32_t m_current; //!< current building number
+  enum GridPositionAllocator::LayoutType m_layoutType; //!< Layout type
+  double m_xMin;    //!< The x coordinate where the grid starts
+  double m_yMin;    //!< The y coordinate where the grid starts
+  uint32_t m_n;     //!< The number of objects laid out on a line
+  double m_lengthX; //!< The length of the wall of each building along the X axis.
+  double m_lengthY; //!< The length of the wall of each building along the Y axis.
+  double m_deltaX;  //!< The x space between buildings
+  double m_deltaY;  //!< The y space between buildings
+  double m_height;  //!< The height of the building (roof level)
+
+  mutable ObjectFactory m_buildingFactory; //!< The building factory
+  Ptr<GridPositionAllocator> m_lowerLeftPositionAllocator;  //!< The upper left position allocator
+  Ptr<GridPositionAllocator> m_upperRightPositionAllocator; //!< The upper right position allocator
   
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/building-container.h ns-3.36/src/buildings/helper/building-container.h
--- ns-3.35/src/buildings/helper/building-container.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/building-container.h	2022-04-30 18:23:57.782733200 -0700
@@ -40,6 +40,7 @@
 class BuildingContainer
 {
 public:
+  /// Const iterator
   typedef std::vector<Ptr<Building> >::const_iterator Iterator;
 
   /**
@@ -200,7 +201,7 @@
   static BuildingContainer GetGlobal (void);
 
 private:
-  std::vector<Ptr<Building> > m_buildings;
+  std::vector<Ptr<Building> > m_buildings; //!< Building container
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/building-position-allocator.h ns-3.36/src/buildings/helper/building-position-allocator.h
--- ns-3.35/src/buildings/helper/building-position-allocator.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/building-position-allocator.h	2022-04-30 18:23:57.782733200 -0700
@@ -35,14 +35,16 @@
 /**
  * Allocate each position by randomly choosing a building from the list
  * of all buildings, and then randomly choosing a position inside the building.
- * 
  */
 class RandomBuildingPositionAllocator : public PositionAllocator
 {
 public:
   RandomBuildingPositionAllocator ();
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   // inherited from PositionAllocator
@@ -60,8 +62,8 @@
 
 private:
 
-  bool m_withReplacement;
-  mutable std::vector< Ptr<Building> > m_buildingListWithoutReplacement;
+  bool m_withReplacement; //!< If true, the building will be randomly selected with replacement
+  mutable std::vector< Ptr<Building> > m_buildingListWithoutReplacement; //!< List of building without replacement
 
   /// Provides uniform random variables.
   Ptr<UniformRandomVariable> m_rand;
@@ -86,7 +88,10 @@
 public:
   OutdoorPositionAllocator ();
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   // inherited from PositionAllocator
@@ -137,7 +142,10 @@
 public:
   RandomRoomPositionAllocator ();
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   // inherited from PositionAllocator
@@ -155,14 +163,17 @@
 
 private:
 
+  /**
+   * Room informations
+   */
   struct RoomInfo 
   {
-    Ptr<Building> b;
-    uint32_t roomx;
-    uint32_t roomy;
-    uint32_t floor;
+    Ptr<Building> b; //!< Building
+    uint32_t roomx;  //!< Room (x coord)
+    uint32_t roomy;  //!< Room (y coord)
+    uint32_t floor;  //!< Room (floor number)
   };
-  mutable std::vector<RoomInfo> m_roomListWithoutReplacement;
+  mutable std::vector<RoomInfo> m_roomListWithoutReplacement; //!< Container of rooms
 
   /// Provides uniform random variables.
   Ptr<UniformRandomVariable> m_rand;
@@ -179,9 +190,17 @@
 {
 public:
   SameRoomPositionAllocator ();
+
+  /**
+   * Constructor
+   * \param c Node container
+   */
   SameRoomPositionAllocator (NodeContainer c);
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   // inherited from PositionAllocator
@@ -199,8 +218,8 @@
 
 private:
 
-  NodeContainer m_nodes;
-  mutable NodeContainer::Iterator m_nodeIt;
+  NodeContainer m_nodes; //!< Nodes container
+  mutable NodeContainer::Iterator m_nodeIt; //!< Nodes iterator
 
   /// Provides uniform random variables.
   Ptr<UniformRandomVariable> m_rand;
@@ -227,7 +246,10 @@
                               uint32_t y,
                               uint32_t z,
                               Ptr<Building> b);
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   // inherited from PositionAllocator
   virtual Vector GetNext (void) const;
@@ -244,11 +266,11 @@
 
 private:
 
-  uint32_t roomx;
-  uint32_t roomy;
-  uint32_t floor;
+  uint32_t roomx; //!< Index of the room on the x-axis 
+  uint32_t roomy; //!< Index of the room on the y-axis 
+  uint32_t floor; //!< Index of the room on the z-axis (i.e., floor number)
 
-  Ptr<Building> bptr;
+  Ptr<Building> bptr; //!< Pointer to the chosen building
 
   /// Provides uniform random variables.
   Ptr<UniformRandomVariable> m_rand;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/buildings-helper.cc ns-3.36/src/buildings/helper/buildings-helper.cc
--- ns-3.35/src/buildings/helper/buildings-helper.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/buildings-helper.cc	2022-04-30 18:23:57.782733200 -0700
@@ -48,11 +48,8 @@
 {
   Ptr<Object> object = node;
   Ptr<MobilityModel> model = object->GetObject<MobilityModel> ();
-  if (model == 0)
-    {
-      NS_ABORT_MSG_UNLESS (0 != model, "node " << node->GetId () << " does not have a MobilityModel");
 
-    }
+  NS_ABORT_MSG_UNLESS (0 != model, "node " << node->GetId () << " does not have a MobilityModel");
 
   Ptr<MobilityBuildingInfo> buildingInfo = CreateObject<MobilityBuildingInfo> ();
   model->AggregateObject (buildingInfo);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/helper/buildings-helper.h ns-3.36/src/buildings/helper/buildings-helper.h
--- ns-3.35/src/buildings/helper/buildings-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/helper/buildings-helper.h	2022-04-30 18:23:57.782733200 -0700
@@ -33,6 +33,9 @@
 class MobilityModel;
 class Building;
 
+/**
+ * Helper used to install a MobilityBuildingInfo into a set of nodes.
+ */
 class BuildingsHelper
 {
 public:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/building.h ns-3.36/src/buildings/model/building.h
--- ns-3.35/src/buildings/model/building.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/building.h	2022-04-30 18:23:57.782733200 -0700
@@ -38,15 +38,23 @@
 {
 public:
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   virtual void DoDispose ();
 
-
+  /**
+   * Building type enum
+   */
   enum BuildingType_t
     {
       Residential, Office, Commercial
     };
+  /**
+   * External building wall type enum
+   */
   enum ExtWallsType_t
     {
       Wood, ConcreteWithWindows, ConcreteWithoutWindows, StoneBlocks
@@ -215,19 +223,19 @@
 
 private:
 
-  Box m_buildingBounds;
+  Box m_buildingBounds; //!< Building boundaries
 
   /**
    * number of floors, must be greater than 0, and 1 means only one floor
    * (i.e., groundfloor)
    */
   uint16_t m_floors;
-  uint16_t m_roomsX;
-  uint16_t m_roomsY;
+  uint16_t m_roomsX; //!< X Room coordinate
+  uint16_t m_roomsY; //!< Y Room coordinate
 
-  uint32_t m_buildingId;
-  BuildingType_t m_buildingType;
-  ExtWallsType_t m_externalWalls;
+  uint32_t m_buildingId; //!< Building ID number
+  BuildingType_t m_buildingType;   //!< Building type
+  ExtWallsType_t m_externalWalls;  //!< External building wall type
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/building-list.cc ns-3.36/src/buildings/model/building-list.cc
--- ns-3.35/src/buildings/model/building-list.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/building-list.cc	2022-04-30 18:23:57.782733200 -0700
@@ -38,23 +38,66 @@
 class BuildingListPriv : public Object
 {
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   BuildingListPriv ();
   ~BuildingListPriv ();
-
+  
+  /**
+   * Add a Building to the list.
+   * 
+   * \param building building to add
+   * \returns index of building in list.
+   */
   uint32_t Add (Ptr<Building> building);
+  /**
+   * Returns an interator to the start of the list.
+   * 
+   * \returns iterator to the begin of the container.
+   */
   BuildingList::Iterator Begin (void) const;
+  /**
+   * Returns an interator to the end of the list.
+   * 
+   * \returns iterator to the end of the container.
+   */
   BuildingList::Iterator End (void) const;
+  /**
+   * Gets the n-th Building in the container
+   * \param n Building position
+   * \returns a pointer to the Building
+   */
   Ptr<Building> GetBuilding (uint32_t n);
+  /**
+   * Gets the number of Building in the container
+   * \returns the container size
+   */
   uint32_t GetNBuildings (void);
 
+  /**
+   * Get the Singleton instance of BuildingListPriv (or create one)
+   * \return the BuildingListPriv instance
+   */
   static Ptr<BuildingListPriv> Get (void);
 
 private:
   virtual void DoDispose (void);
+  /**
+   * Get the Singleton instance of BuildingListPriv (or create one)
+   * \return the BuildingListPriv instance
+   */
   static Ptr<BuildingListPriv> *DoGet (void);
+  /**
+   * Dispose the Singleton instance of BuildingListPriv.
+   * 
+   * \note: this function is automatically called at the simulation end.
+   * 
+   */
   static void Delete (void);
-  std::vector<Ptr<Building> > m_buildings;
+  std::vector<Ptr<Building> > m_buildings; //!< Container of Building
 };
 
 NS_OBJECT_ENSURE_REGISTERED (BuildingListPriv);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/building-list.h ns-3.36/src/buildings/model/building-list.h
--- ns-3.35/src/buildings/model/building-list.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/building-list.h	2022-04-30 18:23:57.782733200 -0700
@@ -30,9 +30,13 @@
 
 class Building;
 
+/**
+ * Container for Building class
+ */
 class BuildingList
 {
 public:
+  /// Const Iterator
   typedef std::vector< Ptr<Building> >::const_iterator Iterator;
 
   /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/buildings-channel-condition-model.cc ns-3.36/src/buildings/model/buildings-channel-condition-model.cc
--- ns-3.35/src/buildings/model/buildings-channel-condition-model.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/buildings-channel-condition-model.cc	2022-04-30 18:23:57.782733200 -0700
@@ -133,9 +133,8 @@
 }
 
 int64_t
-BuildingsChannelConditionModel::AssignStreams (int64_t stream)
+BuildingsChannelConditionModel::AssignStreams ([[maybe_unused]] int64_t stream)
 {
-  NS_UNUSED (stream);
   return 0;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/buildings-propagation-loss-model.h ns-3.36/src/buildings/model/buildings-propagation-loss-model.h
--- ns-3.35/src/buildings/model/buildings-propagation-loss-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/buildings-propagation-loss-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -58,6 +58,10 @@
 {
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   BuildingsPropagationLossModel ();
@@ -72,35 +76,81 @@
   virtual double DoCalcRxPower (double txPowerDbm, Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
 protected:
+  /**
+   * Calculate the external wall loss
+   * \param a Building data
+   * \returns the propagation loss (in dBm)
+   */
   double ExternalWallLoss (Ptr<MobilityBuildingInfo> a) const;
+  /**
+   * Calculate the height loss
+   * \param n Building data
+   * \returns the propagation loss (in dBm)
+   */
   double HeightLoss (Ptr<MobilityBuildingInfo> n) const;
+  /**
+   * Calculate the internal wall loss
+   * \param a Room A data
+   * \param b Room B data
+   * \returns the propagation loss (in dBm)
+   */
   double InternalWallsLoss (Ptr<MobilityBuildingInfo> a, Ptr<MobilityBuildingInfo> b) const;
   
+  /**
+   * Calculate the shadowing loss
+   * \param a Room A data
+   * \param b Room B data
+   * \returns the propagation loss (in dBm)
+   */
   double GetShadowing (Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
-  double m_lossInternalWall; // in meters
+  double m_lossInternalWall; //!< loss from internal walls (in dBm)
 
-  
+  /**
+   * \ingroup propagation
+   * 
+   * This model allows the computation of shadowing loss
+   */
   class ShadowingLoss
   {
   public:
     ShadowingLoss ();
+    /**
+     * Constructor
+     * \param shadowingValue Value for shadowing
+     * \param receiver Receiver position
+     */
     ShadowingLoss (double shadowingValue, Ptr<MobilityModel> receiver);
+    /**
+     * \returns the loss (in dBm)
+     */
     double GetLoss () const;
+    /**
+     * \returns the receiver mobility model
+     */
     Ptr<MobilityModel> GetReceiver (void) const;
   protected:
-    double m_shadowingValue;
-    Ptr<MobilityModel> m_receiver;
+    double m_shadowingValue; //!< Shadowing value
+    Ptr<MobilityModel> m_receiver; //!< The receiver mobility model
   };
 
+  /// Map of the shadowng loss
   mutable std::map<Ptr<MobilityModel>,  std::map<Ptr<MobilityModel>, ShadowingLoss> > m_shadowingLossMap;
+  /**
+   * Calculate the Standard deviation of the normal distribution used to calculate the shadowing
+   * \param a Room A data
+   * \param b Room B data
+   * \return the Standard deviation of the normal distribution
+   */
   double EvaluateSigma (Ptr<MobilityBuildingInfo> a, Ptr<MobilityBuildingInfo> b) const;
 
-
+  /// Standard deviation of the normal distribution used to calculate the shadowing due to ext walls
   double m_shadowingSigmaExtWalls;
+  /// Standard deviation of the normal distribution used to calculate the shadowing for outdoor nodes
   double m_shadowingSigmaOutdoor;
+  /// Standard deviation of the normal distribution used to calculate the shadowing for indoor nodes
   double m_shadowingSigmaIndoor;
-  Ptr<NormalRandomVariable> m_randVariable;
+  Ptr<NormalRandomVariable> m_randVariable; //!< Random variable
 
   virtual int64_t DoAssignStreams (int64_t stream);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.36/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.35/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -57,6 +57,10 @@
 {
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   HybridBuildingsPropagationLossModel ();
   ~HybridBuildingsPropagationLossModel ();
@@ -91,6 +95,9 @@
   void SetRooftopHeight (double rooftopHeight);
 
   /**
+   * \brief Compute the path loss according to the nodes position
+   * using the appropriate model.
+   * 
    * \param a the mobility model of the source
    * \param b the mobility model of the destination
    * \returns the propagation loss (in dBm)
@@ -99,20 +106,47 @@
 
   
 private:
-
+  /**
+   * Compute the path loss using either OkumuraHataPropagationLossModel
+   * or Kun2600MhzPropagationLossModel.
+   * 
+   * \param a The mobility model of the source.
+   * \param b The mobility model of the destination.
+   * \returns the propagation loss (in dBm).
+   */
   double OkumuraHata (Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
+  /**
+   * Compute the path loss using either ItuR1411LosPropagationLossModel or
+   * ItuR1411NlosOverRooftopPropagationLossModel.
+   * 
+   * \param a The mobility model of the source.
+   * \param b The mobility model of the destination.
+   * \returns the propagation loss (in dBm).
+   */
   double ItuR1411 (Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
+  /**
+   * Compute the path loss using ItuR1238PropagationLossModel.
+   * 
+   * \param a The mobility model of the source.
+   * \param b The mobility model of the destination.
+   * \returns the propagation loss (in dBm).
+   */
   double ItuR1238 (Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
+  /// OkumuraHataPropagationLossModel
   Ptr<OkumuraHataPropagationLossModel> m_okumuraHata;
+  /// ItuR1411LosPropagationLossModel
   Ptr<ItuR1411LosPropagationLossModel> m_ituR1411Los;
+  /// ItuR1411NlosOverRooftopPropagationLossModel
   Ptr<ItuR1411NlosOverRooftopPropagationLossModel> m_ituR1411NlosOverRooftop;
+  /// ItuR1238PropagationLossModel
   Ptr<ItuR1238PropagationLossModel> m_ituR1238;
+  /// Kun2600MhzPropagationLossModel
   Ptr<Kun2600MhzPropagationLossModel> m_kun2600Mhz;
 
   double m_itu1411NlosThreshold; ///< in meters (switch Los -> NLoS)
-  double m_rooftopHeight;
-  double m_frequency;
+  double m_rooftopHeight;        ///< Roof Height (in meters)
+  double m_frequency;            ///< Operation frequency
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/itu-r-1238-propagation-loss-model.h ns-3.36/src/buildings/model/itu-r-1238-propagation-loss-model.h
--- ns-3.35/src/buildings/model/itu-r-1238-propagation-loss-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/itu-r-1238-propagation-loss-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -37,7 +37,10 @@
 
 public:
 
-  // inherited from Object
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
 
   /** 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/oh-buildings-propagation-loss-model.h ns-3.36/src/buildings/model/oh-buildings-propagation-loss-model.h
--- ns-3.35/src/buildings/model/oh-buildings-propagation-loss-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/oh-buildings-propagation-loss-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -40,6 +40,10 @@
 {
 
 public:
+  /**
+   * \brief Get the type ID.
+   * \return The object TypeId.
+   */
   static TypeId GetTypeId (void);
   OhBuildingsPropagationLossModel ();
   ~OhBuildingsPropagationLossModel ();
@@ -53,7 +57,7 @@
   
 private:
 
-  Ptr<OkumuraHataPropagationLossModel> m_okumuraHata;
+  Ptr<OkumuraHataPropagationLossModel> m_okumuraHata; //!< OkumuraHata Propagation Loss Model
 
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/random-walk-2d-outdoor-mobility-model.h ns-3.36/src/buildings/model/random-walk-2d-outdoor-mobility-model.h
--- ns-3.35/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -77,15 +77,16 @@
   void Rebound (Time timeLeft);
   /**
    * \brief Avoid a building
-   * \param timeLeft The remaining time of the walk
+   * \param delayLeft The remaining time of the walk
    * \param intersectPosition The position at which the building is intersected
    */
   void AvoidBuilding (Time delayLeft, Vector intersectPosition);
   /**
    * Walk according to position and velocity, until distance is reached,
    * time is reached, or intersection with the bounding box, or building
+   * \param delayLeft The remaining time of the walk
    */
-  void DoWalk (Time timeLeft);
+  void DoWalk (Time delayLeft);
   /**
    * Perform initialization of the object before MobilityModel::DoInitialize ()
    */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/model/three-gpp-v2v-channel-condition-model.h ns-3.36/src/buildings/model/three-gpp-v2v-channel-condition-model.h
--- ns-3.35/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2022-04-30 18:23:57.782733200 -0700
@@ -159,7 +159,7 @@
    * \link BuildingsChannelConditionModel \endlink, which requires
    * \link MobilityBuildingInfo \endlink aggregated to the nodes to compute
    * LOS and NLOS. Otherwise, the callback is hooked to a local method
-   * \link GetChaCondWithNoBuildings \endlink
+   * \link GetChCondWithNoBuildings \endlink
    * , which construct the ChannelCondtion object and set the condition to
    * outdoor to outdoor with LOS.
    */
@@ -167,8 +167,8 @@
 
   /**
    * \brief Get the channel condition and redirect the callback
-   * \link ComputeChCond \endlink to \link GetChaCondWithBuildings \endlink
-   * or to \link GetChaCondWithNoBuildings \endlink depending on if there are
+   * \link ComputeChCond \endlink to \link GetChCondWithBuildings \endlink
+   * or to \link GetChCondWithNoBuildings \endlink depending on if there are
    * buildings in the scenario or not.
    *
    * \param a tx mobility model
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/test/building-position-allocator-test.cc ns-3.36/src/buildings/test/building-position-allocator-test.cc
--- ns-3.35/src/buildings/test/building-position-allocator-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/test/building-position-allocator-test.cc	2022-04-30 18:23:57.782733200 -0700
@@ -36,12 +36,29 @@
 
 NS_LOG_COMPONENT_DEFINE ("BuildingPositionAllocatorTest");
 
+/**
+ * \ingroup propagation
+ * \defgroup building-test Buildings module tests
+ */
+
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * Room coordinates
+ */
 struct Room
 {
+  /**
+   * Constructor
+   * \param xx X coord
+   * \param yy Y coord
+   * \param zz Z coord
+   */
   Room (uint32_t xx, uint32_t yy, uint32_t zz);
-  uint32_t x;
-  uint32_t y;
-  uint32_t z;
+  uint32_t x; //!< X coord
+  uint32_t y; //!< Y coord
+  uint32_t z; //!< Z coord (floor)
 };
 
 Room::Room (uint32_t xx, uint32_t yy, uint32_t zz)
@@ -60,7 +77,12 @@
 }
 
 
-
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * RandomRoomPositionAllocator test
+ */
 class RandomRoomPositionAllocatorTestCase : public TestCase
 {
 public:
@@ -139,8 +161,12 @@
 
 
 
-
-
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * SameRoomPositionAllocator test
+ */
 class SameRoomPositionAllocatorTestCase : public TestCase
 {
 public:
@@ -214,17 +240,18 @@
 }
 
 
-
-
-
-
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * \brief RandomRoomPositionAllocator TestSuite
+ */
 class BuildingPositionAllocatorTestSuite : public TestSuite
 {
 public:
   BuildingPositionAllocatorTestSuite ();
 };
 
-
 BuildingPositionAllocatorTestSuite::BuildingPositionAllocatorTestSuite ()
   : TestSuite ("building-position-allocator", UNIT)
 {
@@ -235,4 +262,5 @@
 
 }
 
-static BuildingPositionAllocatorTestSuite buildingsPositionAllocatorTestSuiteInstance;
+/// Static variable for test initialization
+static BuildingPositionAllocatorTestSuite buildingsPositionAllocatorTestSuiteInstance; 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/test/buildings-channel-condition-model-test.cc ns-3.36/src/buildings/test/buildings-channel-condition-model-test.cc
--- ns-3.35/src/buildings/test/buildings-channel-condition-model-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/test/buildings-channel-condition-model-test.cc	2022-04-30 18:23:57.782733200 -0700
@@ -31,6 +31,9 @@
 NS_LOG_COMPONENT_DEFINE ("BuildingsChannelConditionModelsTest");
 
 /**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
  * Test case for the class BuildingsChannelConditionModel. It checks if the
  * channel condition is correctly determined when a building is deployed in the
  * scenario
@@ -140,6 +143,8 @@
 }
 
 /**
+ * \ingroup building-test
+ * \ingroup tests
  * Test suite for the buildings channel condition model
  */
 class BuildingsChannelConditionModelsTestSuite : public TestSuite
@@ -154,4 +159,5 @@
   AddTestCase (new BuildingsChannelConditionModelTestCase, TestCase::QUICK);
 }
 
+/// Static variable for test initialization
 static BuildingsChannelConditionModelsTestSuite BuildingsChannelConditionModelsTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/test/buildings-helper-test.cc ns-3.36/src/buildings/test/buildings-helper-test.cc
--- ns-3.35/src/buildings/test/buildings-helper-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/test/buildings-helper-test.cc	2022-04-30 18:23:57.782733200 -0700
@@ -33,15 +33,21 @@
 
 NS_LOG_COMPONENT_DEFINE ("BuildingsHelperTest");
 
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * \brief Struct representing a position in a building
+ */
 struct PositionInBuilding
 {
   PositionInBuilding ();
-  Vector   pos;   // coordinates of the mobility model instance
-  bool     indoor; // true if indoor, false otherwise
-  uint32_t bid;   // building id
-  uint16_t rx;    // room x
-  uint16_t ry;    // room y
-  uint16_t fn;    // floor number
+  Vector   pos;   //!< coordinates of the mobility model instance
+  bool     indoor; //!< true if indoor, false otherwise
+  uint32_t bid;   //!< building id
+  uint16_t rx;    //!< room x
+  uint16_t ry;    //!< room y
+  uint16_t fn;    //!< floor number
 };
 
 PositionInBuilding::PositionInBuilding ()
@@ -55,7 +61,10 @@
 }
 
 /**
- * data to construct a Building object. We don't want to pass Building
+ * \ingroup building-test
+ * \ingroup tests
+
+ * Data to construct a Building object. We don't want to pass Building
  * objects to the TestCase constructor because otherwise BuildingList
  * would contain all of them (even if only one is meant to be in the
  * test case).
@@ -64,15 +73,15 @@
 struct BuildingData
 {
   BuildingData ();
-  double xmin;
-  double xmax;
-  double ymin;
-  double ymax;
-  double zmin;
-  double zmax;
-  uint16_t nrx;
-  uint16_t nry;
-  uint16_t nf;
+  double xmin;   //!< X min coordinate
+  double xmax;   //!< X max coordinate
+  double ymin;   //!< Y min coordinate
+  double ymax;   //!< Y max coordinate
+  double zmin;   //!< Z min coordinate
+  double zmax;   //!< Z max coordinate
+  uint16_t nrx;  //!< Number of rooms (X coord)
+  uint16_t nry;  //!< Number of rooms (Y coord)
+  uint16_t nf;   //!< Number of floors
 };
 
 BuildingData::BuildingData ()
@@ -88,17 +97,35 @@
 {
 }
 
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * \brief BuildingsHelper test 
+ */
 class BuildingsHelperOneTestCase : public TestCase
 {
 public:
+  /**
+   * Build the testcase name
+   * \param pib Position in building
+   * \param bd Building data
+   * \return the TestCase name
+   */
   static std::string BuildNameString (PositionInBuilding pib, BuildingData bd);
+
+  /**
+   * Constructor
+   * \param pib Position in building
+   * \param bd Building data
+   */
   BuildingsHelperOneTestCase (PositionInBuilding pib, BuildingData bd);
 
 private:
   virtual void DoRun (void);
 
-  PositionInBuilding m_pib;
-  BuildingData m_bd;
+  PositionInBuilding m_pib; //!< Position in the building
+  BuildingData m_bd; //!< Building data
   
 };
 
@@ -167,11 +194,12 @@
 }
 
 
-
-
-
-
-
+/**
+ * \ingroup building-test
+ * \ingroup tests
+ * 
+ * \brief BuildingsHelper TestSuite
+ */
 class BuildingsHelperTestSuite : public TestSuite
 {
 public:
@@ -322,4 +350,5 @@
   AddTestCase (new BuildingsHelperOneTestCase (q7, b2), TestCase::QUICK);     
 }
 
+/// Static variable for test initialization
 static BuildingsHelperTestSuite buildingsHelperAntennaTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/buildings/test/buildings-pathloss-test.cc ns-3.36/src/buildings/test/buildings-pathloss-test.cc
--- ns-3.35/src/buildings/test/buildings-pathloss-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/buildings/test/buildings-pathloss-test.cc	2022-04-30 18:23:57.782733200 -0700
@@ -38,16 +38,12 @@
 
 NS_LOG_COMPONENT_DEFINE ("BuildingsPathlossTest");
 
-/**
+/*
  * Test 1.1 BuildingsPathlossModel Pathloss compound test
- */
-
-/**
+ *
  * This TestSuite tests the BuildingPathlossModel by reproducing
  * several communication scenarios 
  */
-
-
 BuildingsPathlossTestSuite::BuildingsPathlossTestSuite ()
   : TestSuite ("buildings-pathloss-test", SYSTEM)
 {
@@ -127,11 +123,11 @@
 }
 
 
-
+/// Static variable for test initialization
 static BuildingsPathlossTestSuite buildingsPathlossTestSuite;
 
 
-/**
+/*
  * TestCase
  */
 
